Subject: Install tool: Remove obsolete settings from LocalConfiguration

Description

Related issues:

related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Bug # 49334: Remove last handling of multiplyDBfieldSize Resolved 2013-06-21
related to Core - Bug # 49335: Remove last bits of gdlib_2 Resolved 2013-06-21
related to Core - Bug # 49336: Remove forceCharset handling Resolved 2013-06-21
related to Core - Bug # 49540: LocalConfiguration cleanup breaks install process Resolved 2013-07-01

Associated revisions

Revision b8c3c04b - 2013-06-21 21:54 - Christian Kuhn

[FEATURE] Install tool: Remove obsolete keys from LocalConfiguration

Some configuration settings are obsolete, but they have never been

actively removed from LocalConfiguration. The patch introduces a

list of obsolete configuration options (like SYS/extCache) to the

install tool step controller and silently removes those settings

from LocalConfiguration to keep it clean. This also obsoletes

some deprecation code within core bootstrap.

Change-Id: 1d422801f5bbedc0f444a0d905bdbb7d736fd82e8

Resolves: #49299
Related: #49162

Releases: 6.2

Reviewed-on: https://review.typo3.org/21553

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 003ff66c - 2013-06-21 23:13 - Christian Kuhn

[TASK] Remove last bit of multiplyDBfieldSize handling
multiplyDBfieldSize was used in the past to extend the size of
database fields to cope with UTF8 content if the database did
not support it. The setting was deprecated for a long time already
and removed from DefaultConfiguration with version 6.0.

The patch removes still existing handler code from ext:install.
The setting is also removed from LocalConfiguration if found.

Change-Id: 1a36b8c05cab8814c91ffa0d8e8afcd4de5c7060b
Resolves: #49334

Related: #35923

Related: #49299

Releases: 6.2

Reviewed-on: https://review.typo3.org/21581

Reviewed-by: Philipp Gampe
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision 7e04899e - 2013-06-21 23:16 - Christian Kuhn

[TASK] Remove last bits of gdlib_2 setting

Support for gdlib version 1 was removed with core version 4.4.

The patch removes the last code fragments where the old GFX/gdlib_2
setting was used and activates a key in ext:install to remove

the setting from LocalConfiguration.

Change-Id: Icec65f13468306b80a575996a23cdbbbd21d715¢
Resolves: #49335

Related: #22687

Related: #49299

Releases: 6.2

Reviewed-on: https://review.typo3.org/21582

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Markus Klein
Reviewed-by: Philipp Gampe
Reviewed-by: Stefan Neufeind
Tested-by: Markus Klein

Revision 2332335a - 2013-06-23 11:42 - Christian Kuhn

[TASK] Remove last bits of forceCharset handling

Core version 4.5 introduced UTF8 only for charset conversion, and

accepted a fallback under special circumstances. The fallback was

removed with 4.7.

This setting is now finally fully removed from the configuration

and not taken into account anymore.
Change-Id: Ic347c3decb985ec63eb499d5d75827fc7f1f7a8a
Resolves: #49336

Related: #49299

Related: #34092

Releases: 6.2

Reviewed-on: https://review.typo3.org/21584

Reviewed-by: Markus Klein
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision afc518¢6 - 2013-07-01 15:00 - Christian Kuhn

[BUGFIX] LocalConfiguration cleanup breaks install process

The method to kick out obsolete settings from LocalConfiguration
in the install tool step installer is called too early and the file

may not exist already. Move the method call below step one of the
installation process that creates the file.

Change-Id: 1f3d824b6488c7cebfdef2abb122aea9d47424983
Resolves: #49540

Related: #49299

Reviewed-on: https://review.typo3.org/21765

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-06-21 00:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21553

#2 - 2013-06-21 21:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21553

#3 - 2013-06-21 22:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b8c3c04ba4d662221a39f665e4dea3e6e170a8af.

2015-08-04 4/4



